@echo off

if "%1" == "" (
    goto :Usage
)


if "%1" == "/?" (
    goto :Usage
)

if "%1" == "-?" (
    goto :Usage
)

set BCDDRIVE=%1

set BCDDESC= "WHS Restore Partition"

@echo Creating boot entry for %BCDDESC%....

cmd /c " bcdedit /copy {current} /d %BCDDESC% " > tmpfname.txt
FOR /F "tokens=7 delims=. " %%i in (tmpfname.txt) DO set GUID=%%i

@echo WHS Restore boot entry GUID = %GUID%
@echo Configuring WHS Restore boot entry....

bcdedit /set %GUID% device partition=%BCDDRIVE%
bcdedit /set %GUID% osdevice partition=%BCDDRIVE%
bcdedit /set %GUID% path \Windows\System32\Boot\Winload.exe
bcdedit /set %GUID% detecthal on
bcdedit /set %GUID% winpe on
bcdedit /set %GUID% ems on
bcdedit /deletevalue %GUID% locale
bcdedit /deletevalue %GUID% inherit
bcdedit /deletevalue %GUID% resumeobject
bcdedit /deletevalue %GUID% nx



del tmpfname.txt

@echo WHS Restore boot entry complete!

goto :Exit

:Usage

@echo Usage: bootwhs <DriveName>
@echo Example: bootwhs d:

:Exit
